matrix:
  platform:
  - ubuntu2004
  - ubuntu2004_arm64
  - ubuntu2404
  - macos
  - macos_arm64
  - windows
  - windows_arm64
  bazel:
  - 7.*
  - 8.*
  - 9.*
tasks:
  verify_targets:
    name: Build and test
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - "@openssl//..."
    test_targets:
    - "@openssl//..."
  verify_no_pregen:
    name: Build and test (no pregenerated)
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
    - "--@openssl//:use-pregenerated=False"
    build_targets:
    - "@openssl//..."
    test_flags:
    - "--@openssl//:use-pregenerated=False"
    test_targets:
    - "@openssl//..."
